Get Address
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "0x7204855eA98E951a218A9CC69786D7Dc749d170A",
"blockchain": {
"createdAt": "2024-05-14T11:53:33.095Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "85ffc132-3972-4c9e-99a5-5cf0ccb688bf",
"isActive": true,
"isEvmCompatible": true,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800081/crypto-assets/ethereum-eth-logo_idraq2.png",
"name": "ethereum",
"slug": "ethereum",
"symbol": "eth",
"tokenStandard": "ERC20",
"updatedAt": "2024-06-14T22:32:11.983Z"
},
"configurations": {
"aml": {
"message": "Address is not sanctioned",
"provider": "ofac",
"status": "success"
},
"disableAutoSweep": false,
"enableGaslessWithdraw": false,
"showPrivateKey": false
},
"createdAt": "2024-10-23T10:53:38.622Z",
"derivationPath": "m/44'/60'/0'/0/86",
"id": "259422b2-6c8f-40e0-822f-7d2d23c78323",
"isActive": true,
"metadata": null,
"name": null,
"network": "testnet",
"type": "INTERNAL",
"updatedAt": "2024-10-23T10:53:38.622Z"
},
"message": "Address fetched successfully",
"statusCode": 200
}
Get Address
This endpoint retrieves information about a specific address within a wallet.
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| showPrivateKey | boolean | Optional | If true, the response will include the private key. If false or omitted, the private key is not computed. |
GET
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
Get Address
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Example:
"ADDRESS_ID"
Query Parameters
Example:
"OPTIONAL_BOOLEAN"
⌘I

